<?php
/**
* Header Banner Options.
*
* @package Beauty Parlour Salon
*/

$beauty_parlour_salon_default = beauty_parlour_salon_get_default_theme_options();
$beauty_parlour_salon_post_category_list = beauty_parlour_salon_post_category_list();

$wp_customize->add_section( 'beauty_parlour_salon_header_slider_setting',
    array(
    'title'      => esc_html__( 'Slider Settings', 'beauty-parlour-salon' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'beauty_parlour_salon_theme_home_pannel',
    )
);

// Show/Hide Site Logo
$wp_customize->add_setting('beauty_parlour_salon_display_logo', array(
    'default'           => false,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'beauty_parlour_salon_sanitize_checkbox',
));
$wp_customize->add_control('beauty_parlour_salon_display_logo', array(
    'label'    => esc_html__('Enable / Disable Site Logo', 'beauty-parlour-salon'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Title
$wp_customize->add_setting('beauty_parlour_salon_display_title', array(
    'default'           => true,
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'beauty_parlour_salon_sanitize_checkbox',
));
$wp_customize->add_control('beauty_parlour_salon_display_title', array(
    'label'    => esc_html__('Enable / Disable Site Title', 'beauty-parlour-salon'),
    'section'  => 'title_tagline',
    'type'     => 'checkbox',
));

// Show/Hide Site Tagline
$wp_customize->add_setting('beauty_parlour_salon_display_header_text',
    array(
        'default'           => false,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'beauty_parlour_salon_sanitize_checkbox',
    )
);
$wp_customize->add_control('beauty_parlour_salon_display_header_text',
    array(
        'label' => esc_html__('Enable / Disable Site Tagline', 'beauty-parlour-salon'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('beauty_parlour_salon_header_slider',
    array(
        'default' => $beauty_parlour_salon_default['beauty_parlour_salon_header_slider'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'beauty_parlour_salon_sanitize_checkbox',
    )
);
$wp_customize->add_control('beauty_parlour_salon_header_slider',
    array(
        'label' => esc_html__('Enable Slider', 'beauty-parlour-salon'),
        'section' => 'beauty_parlour_salon_header_slider_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_slider_section_short_title',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_slider_section_short_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_slider_section_short_title',
    array(
    'label'    => esc_html__( 'Slider Short Title', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_header_slider_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('beauty_parlour_salon_slider_content_bg_image',
    array(
        'default' => $beauty_parlour_salon_default['beauty_parlour_salon_slider_content_bg_image'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'beauty_parlour_salon_slider_content_bg_image',
        array(
            'label' => __('Slider Content Image','beauty-parlour-salon'),
            'section' => 'beauty_parlour_salon_header_slider_setting',
            'settings' => 'beauty_parlour_salon_slider_content_bg_image',
        )
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_header_banner_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'beauty_parlour_salon_sanitize_select',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_header_banner_cat',
    array(
    'label'       => esc_html__( 'Slider Post Category', 'beauty-parlour-salon' ),
    'section'     => 'beauty_parlour_salon_header_slider_setting',
    'type'        => 'select',
    'choices'     => $beauty_parlour_salon_post_category_list,
    )
);

// About Us Settings

$wp_customize->add_section( 'beauty_parlour_salon_about_setion_setting',
    array(
    'title'      => esc_html__( 'About Us Settings', 'beauty-parlour-salon' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'beauty_parlour_salon_theme_home_pannel',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_about_us_section_short_title',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_section_short_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_about_us_section_short_title',
    array(
    'label'    => esc_html__( 'About Us Short Heading ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_about_us_section_title',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_section_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_about_us_section_title',
    array(
    'label'    => esc_html__( 'About Us Heading ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_team_section_subtitle',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_team_section_subtitle'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_team_section_subtitle',
    array(
    'label'    => esc_html__( 'About Us Content ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_about_us_list_text_1',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_list_text_1'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_about_us_list_text_1',
    array(
    'label'    => esc_html__( 'About Us List 1 ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_about_us_list_text_2',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_list_text_2'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_about_us_list_text_2',
    array(
    'label'    => esc_html__( 'About Us List 2 ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_about_us_list_text_3',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_list_text_3'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_about_us_list_text_3',
    array(
    'label'    => esc_html__( 'About Us List 3 ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_about_us_list_text_4',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_list_text_4'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_about_us_list_text_4',
    array(
    'label'    => esc_html__( 'About Us List 4 ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_team_section_button_text',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_team_section_button_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_team_section_button_text',
    array(
    'label'    => esc_html__( 'About Us Button Text ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'beauty_parlour_salon_team_section_button_url',
    array(
    'default'           => $beauty_parlour_salon_default['beauty_parlour_salon_team_section_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'beauty_parlour_salon_team_section_button_url',
    array(
    'label'    => esc_html__( 'About Us Button Url ', 'beauty-parlour-salon' ),
    'section'  => 'beauty_parlour_salon_about_setion_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting('beauty_parlour_salon_about_us_image_1',
    array(
        'default' => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_image_1'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'beauty_parlour_salon_about_us_image_1',
        array(
            'label' => __('About Us Image 1','beauty-parlour-salon'),
            'section' => 'beauty_parlour_salon_about_setion_setting',
            'settings' => 'beauty_parlour_salon_about_us_image_1',
        )
    )
);

$wp_customize->add_setting('beauty_parlour_salon_about_us_image_2',
    array(
        'default' => $beauty_parlour_salon_default['beauty_parlour_salon_about_us_image_2'],
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control(
    new WP_Customize_Image_Control( $wp_customize,'beauty_parlour_salon_about_us_image_2',
        array(
            'label' => __('About Us Image 2','beauty-parlour-salon'),
            'section' => 'beauty_parlour_salon_about_setion_setting',
            'settings' => 'beauty_parlour_salon_about_us_image_2',
        )
    )
);